Bug 14033 - Samba 4.9 doesn't build with libtevent 0.9.39
Samba 4.9 doesn't build with libtevent 0.9.39
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-10 07:48 UTC by Andreas Schneider
Modified: 2019-08-09 08:13 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.9 (17.17 KB, patch)
2019-07-10 12:44 UTC, Andreas Schneider
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-07-10 07:48:51 UTC
Samba 4.9 still uses e.g. tevent_context_is_wrapper() or tevent_context_same_loop() however in tevent 0.9.39 those functions are inside a

#ifdef TEVENT_DEPRECATED
#endif

which means that you can compile errors like:

../source3/lib/messages_ctdb.c: In function ‘messaging_ctdb_register_tevent_context’:         
../source3/lib/messages_ctdb.c:248:7: error: implicit declaration of function ‘tevent_context_same_loop’; did you mean ‘tevent_context_init_ops’? [-Werror=implicit-function-declaration]
  248 |   if (tevent_context_same_loop(fde_ev->ev, ev)) {                                                                                                                                    
      |       ^~~~~~~~~~~~~~~~~~~~~~~~                                                                                                                                                       
      |       tevent_context_init_ops                                                         
../source3/lib/messages_ctdb.c:256:7: error: implicit declaration of function ‘tevent_context_is_wrapper’; did you mean ‘tevent_context_init_ops’? [-Werror=implicit-function-declaration]   
  256 |   if (tevent_context_is_wrapper(ev)) {                                                
      |       ^~~~~~~~~~~~~~~~~~~~~~~~~                                                       
      |       tevent_context_init_ops                                                                                                                                                        
cc1: some warnings being treated as errors                                                                                                                                                   
../source3/lib/messages.c: In function ‘messaging_register_event_context’:                                                                                                                   
../source3/lib/messages.c:211:7: error: implicit declaration of function ‘tevent_context_same_loop’; did you mean ‘tevent_context_init_ops’? [-Werror=implicit-function-declaration]         
  211 |   if (tevent_context_same_loop(reg->ev, ev)) {                                                                                                                                       
      |       ^~~~~~~~~~~~~~~~~~~~~~~~                                                                                                                                                       
      |       tevent_context_init_ops                                                                                                                                                        
../source3/lib/messages.c: In function ‘messaging_init_internal’:                                                                                                                            
../source3/lib/messages.c:503:6: error: implicit declaration of function ‘tevent_context_is_wrapper’; did you mean ‘tevent_context_init_ops’? [-Werror=implicit-function-declaration]
  503 |  if (tevent_context_is_wrapper(ev)) {                                                                                                                                                
      |      ^~~~~~~~~~~~~~~~~~~~~~~~~                                                                                                                                                       
      |      tevent_context_init_ops
Comment 1 Andreas Schneider 2019-07-10 12:44:47 UTC
Created attachment 15299 [details]
patch for 4.9
Comment 2 Karolin Seeger 2019-08-07 10:49:14 UTC
(In reply to Andreas Schneider from comment #1)
Pushed to autobuild-v4-9-test.
Comment 3 Karolin Seeger 2019-08-09 08:13:12 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to v4-9-test.
Closing out bug report.

Thanks!